#!/bin/ksh
lmdz1d_2.e > lmdz1d_2.lis
if [ -f histmth.nc ]
then
  time_name=`ncdump -h histmth.nc|grep 't_inst_.*(time_counter)'|sed -e"s/^.*t_inst_\(.*\)(time_counter).*$/t_inst_\1/"`
  ncrename -v ${time_name},time_counter histmth.nc
  ncatted -O -a positive,presnivs,o,c,down -a _FillValue,,m,f,1.e35 histmth.nc 
  if [ -n "$1" ]
  then
   cp histmth.nc histmth_2_${1}.nc
  else
   cp histmth.nc histmth_2.nc
  fi
fi
if [ -f histday.nc ]
then
  time_name=`ncdump -h histday.nc|grep 't_inst_.*(time_counter)'|sed -e"s/^.*t_inst_\(.*\)(time_counter).*$/t_inst_\1/"`
  ncrename -v ${time_name},time_counter histday.nc
  ncatted -O -a positive,presnivs,o,c,down -a _FillValue,,m,f,1.e35 histday.nc 
  if [ -n "$1" ]
  then
   cp histday.nc histday_2_${1}.nc
  else
   cp histday.nc histday_2.nc
  fi
fi
if [ -f histhf.nc ]
then
  time_name=`ncdump -h histhf.nc|grep 't_inst_.*(time_counter)'|sed -e"s/^.*t_inst_\(.*\)(time_counter).*$/t_inst_\1/"`
  ncrename -v ${time_name},time_counter histhf.nc
  ncatted -O -a positive,presnivs,o,c,down -a _FillValue,,m,f,1.e35 histhf.nc 
  if [ -n "$1" ]
  then
   cp histhf.nc histhf_2_${1}.nc
  else
   cp histhf.nc histhf_2.nc
  fi
fi
if [ -f histins.nc ]
then
  echo 'Fichier histins.nc'
  time_name=`ncdump -h histins.nc|grep 't_inst_.*(time_counter)'|sed -e"s/^.*t_inst_\(.*\)(time_counter).*$/t_inst_\1/"`
  ncrename -v ${time_name},time_counter histins.nc
  ncatted -O -a positive,presnivs,o,c,down -a _FillValue,,m,f,1.e35 histins.nc 
  if [ -n "$1" ]
  then
   cp histins.nc histins_2_${1}.nc
  else
   dz=`sed -n "s/\..*$//;/zpicinp/s/zpicinp *//p" lmdz1d.def`
   qs=`sed -n "s/\..*$//;/^qsol0=/s///p" physiq.def`
   rm -f histins_${dz}._${qs}._0.005_0.17.nc
   cp histins.nc histins_2_${dz}._${qs}._0.005_0.17.nc
  fi
fi

